Archive for the ‘mac osx’ Category
Deluge On Ubuntu
Written by piju on September 9, 2009 – 12:33 pm -Recently, i was thinking which one is the best torrent client for my personal use. then i choose deluge.
install using apt-get on ubuntu/debian/debian-based.
$sudo apt-get install deluge
$sudo apt-get install deluge-webui
i need startup files for deluge, then create /etc/default/deluge-daemon and add this
# Configuration for /etc/init.d/deluge-daemon
# The init.d script will only run if this variable non-empty.
DELUGED_USER=”CHANGEME” # !!!CHANGE THIS!!!!
# Should we run at startup?
RUN_AT_STARTUP=”YES”
then, create /etc/init.d/deluge-daemon
#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO
# Author: Adolfo R. Brandes
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC=”Deluge Daemon”
NAME1=”deluged”
NAME2=”deluge”
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS=”-d”
DAEMON2=/usr/bin/deluge
DAEMON2_ARGS=”-u web”
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME
# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg “Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it.”
exit 0
fi
if [ -z "$DELUGED_USER" ]
then
log_warning_msg “Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME.”
exit 0
fi
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL1=”$?”
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –make-pidfile –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON1_ARGS
RETVAL1=”$?”
sleep 2
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –make-pidfile –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON2_ARGS
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE2
RETVAL2=”$?”
start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE1
RETVAL1=”$?”
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
rm -f $PIDFILE1 $PIDFILE2
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}
case “$1″ in
start)
[ "$VERBOSE" != no ] && log_daemon_msg “Starting $DESC” “$NAME1″
do_start
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg “Stopping $DESC” “$NAME1″
do_stop
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg “Restarting $DESC” “$NAME1″
do_stop
case “$?” in
0|1)
do_start
case “$?” in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2
exit 3
;;
esac
:
make it executable and start on boot,
sudo chmod 755 /etc/init.d/deluge-daemon
sudo update-rc.d deluge-daemon defaults
sudo /etc/init.d/deluge-daemon start
webui address is http://localhost:8112 and the default password is deluge

Cameras -Take control of your cameras (Your iPhones, too.)
Written by piju on July 9, 2009 – 3:24 pm -Do you spend time quitting iPhoto every time you connect your iPhone?
Wish you could have your DSLR open Aperture and have iPhoto launch when you connect your point-and-shoot camera?
If so, Cameras is the solution you’ve been waiting for.
With familiar System Preference functionality, Cameras allows you to manage what happens when you connect your:
- Digital camera
- iPhone
- Digital media reader
- Any photo device
In addition to launching a specific application when you connect a camera, you can also have your images download automatically. Never again spend time launching the right app or quitting apps that you didn’t want to launch.
Manage all of your cameras with Cameras!

Posted in free software, mac, mac osx | No Comments »
MacVIM – Vim Editor for Mac OSX
Written by piju on June 30, 2009 – 4:14 pm -
MacVIM is a vim editor ported into Mac OSX. functionality same as on linux, BSD.
MacVim supports multiple windows with tabbed editing and a host of other features such as:
* bindings to standard OS X keyboard shortcuts (⌘Z, ⌘V, ⌘A, ⌘G, etc.),
* transparent backgrounds,
* full-screen mode,
* multibyte editing with OS X input methods and automatic font substitution,
* ODB editor support,
and more. Most importantly, MacVim brings you the full power of Vim 7.2 to Mac OS X.
Posted in free software, google code, hackintosh, mac osx | No Comments »
Monolingual – Remove unnecessary language on Mac OSX
Written by piju on June 29, 2009 – 3:42 pm -Monolingual is a program for removing unnecessary language resources from Mac OS X in order to reclaim several hundred megabytes of disk space. requires at least Mac OS X 10.3.9 (Panther) and also works on Mac OS X 10.4 (Tiger) and Mac OS X 10.5 (Leopard).

Posted in free software, hackintosh, mac osx | No Comments »
Instantbird – free multi-protocol Instant Messaging client
Written by piju on June 12, 2009 – 9:48 pm -1. free
2. cross platform
3. simple
4. lightweight
5. connect to all networks
Preview,

Posted in computer, debian, fedora, hackintosh, linux, mac, mac osx, windows | 1 Comment »
Classic Compact – My favourite Mozilla Firefox theme
Written by piju on June 12, 2009 – 8:52 pm -For those who are using small inch of screen, netbook or any laptop, i think this theme is a must for you. utilize the potential of your small screen when browsing internet. make your view bigger than before, install this theme now.
Preview,
Posted in computer, debian, fedora, firefox, freebsd, hackintosh, linux, mac, mac osx, mozilla | No Comments »



